Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.organizations.getLicenses({
licenseId: "string",
organizationId: "string",
});
export const merakiOrganizationsLicensesExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.organizations.get_licenses(license_id="string",
organization_id="string")
pulumi.export("merakiOrganizationsLicensesExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/organizations"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := organizations.LookupLicenses(ctx, &organizations.LookupLicensesArgs{
LicenseId: "string",
OrganizationId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiOrganizationsLicensesExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Organizations.GetLicenses.Invoke(new()
{
LicenseId = "string",
OrganizationId = "string",
});
return new Dictionary<string, object?>
{
["merakiOrganizationsLicensesExample"] = example.Apply(getLicensesResult => getLicensesResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.organizations.OrganizationsFunctions;
import com.pulumi.meraki.organizations.inputs.GetLicensesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = OrganizationsFunctions.getLicenses(GetLicensesArgs.builder()
.licenseId("string")
.organizationId("string")
.build());
ctx.export("merakiOrganizationsLicensesExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:organizations:getLicenses
arguments:
licenseId: string
organizationId: string
outputs:
merakiOrganizationsLicensesExample: ${example.item}
Using getLicenses
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getLicenses(args: GetLicensesArgs, opts?: InvokeOptions): Promise<GetLicensesResult>
function getLicensesOutput(args: GetLicensesOutputArgs, opts?: InvokeOptions): Output<GetLicensesResult>def get_licenses(license_id: Optional[str] = None,
organization_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetLicensesResult
def get_licenses_output(license_id: Optional[pulumi.Input[str]] = None,
organization_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetLicensesResult]func LookupLicenses(ctx *Context, args *LookupLicensesArgs, opts ...InvokeOption) (*LookupLicensesResult, error)
func LookupLicensesOutput(ctx *Context, args *LookupLicensesOutputArgs, opts ...InvokeOption) LookupLicensesResultOutput> Note: This function is named LookupLicenses in the Go SDK.
public static class GetLicenses
{
public static Task<GetLicensesResult> InvokeAsync(GetLicensesArgs args, InvokeOptions? opts = null)
public static Output<GetLicensesResult> Invoke(GetLicensesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetLicensesResult> getLicenses(GetLicensesArgs args, InvokeOptions options)
public static Output<GetLicensesResult> getLicenses(GetLicensesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:organizations/getLicenses:getLicenses
arguments:
# arguments dictionaryThe following arguments are supported:
- License
Id string - licenseId path parameter. License ID
- Organization
Id string - organizationId path parameter. Organization ID
- License
Id string - licenseId path parameter. License ID
- Organization
Id string - organizationId path parameter. Organization ID
- license
Id String - licenseId path parameter. License ID
- organization
Id String - organizationId path parameter. Organization ID
- license
Id string - licenseId path parameter. License ID
- organization
Id string - organizationId path parameter. Organization ID
- license_
id str - licenseId path parameter. License ID
- organization_
id str - organizationId path parameter. Organization ID
- license
Id String - licenseId path parameter. License ID
- organization
Id String - organizationId path parameter. Organization ID
getLicenses Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Licenses Item - License
Id string - licenseId path parameter. License ID
- Organization
Id string - organizationId path parameter. Organization ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Licenses Item - License
Id string - licenseId path parameter. License ID
- Organization
Id string - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Licenses Item - license
Id String - licenseId path parameter. License ID
- organization
Id String - organizationId path parameter. Organization ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Licenses Item - license
Id string - licenseId path parameter. License ID
- organization
Id string - organizationId path parameter. Organization ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Licenses Item - license_
id str - licenseId path parameter. License ID
- organization_
id str - organizationId path parameter. Organization ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- license
Id String - licenseId path parameter. License ID
- organization
Id String - organizationId path parameter. Organization ID
Supporting Types
GetLicensesItem
- Activation
Date string - The date the license started burning
- Claim
Date string - The date the license was claimed into the organization
- Device
Serial string - Serial number of the device the license is assigned to
- Duration
In intDays - The duration of the individual license
- Expiration
Date string - The date the license will expire
- Head
License stringId - The id of the head license this license is queued behind. If there is no head license, it returns nil.
- Id string
- License ID
- License
Key string - License key
- License
Type string - License type
- Network
Id string - ID of the network the license is assigned to
- Order
Number string - Order number
- Permanently
Queued List<GetLicenses Licenses Item Permanently Queued License> - DEPRECATED List of permanently queued licenses attached to the license. Instead, use /organizations/{organizationId}/licenses?deviceSerial= to retrieved queued licenses for a given device.
- Seat
Count int - The number of seats of the license. Only applicable to SM licenses.
- State string
- The state of the license. All queued licenses have a status of recentlyQueued.
- Total
Duration intIn Days - The duration of the license plus all permanently queued licenses associated with it
- Activation
Date string - The date the license started burning
- Claim
Date string - The date the license was claimed into the organization
- Device
Serial string - Serial number of the device the license is assigned to
- Duration
In intDays - The duration of the individual license
- Expiration
Date string - The date the license will expire
- Head
License stringId - The id of the head license this license is queued behind. If there is no head license, it returns nil.
- Id string
- License ID
- License
Key string - License key
- License
Type string - License type
- Network
Id string - ID of the network the license is assigned to
- Order
Number string - Order number
- Permanently
Queued []GetLicenses Licenses Item Permanently Queued License - DEPRECATED List of permanently queued licenses attached to the license. Instead, use /organizations/{organizationId}/licenses?deviceSerial= to retrieved queued licenses for a given device.
- Seat
Count int - The number of seats of the license. Only applicable to SM licenses.
- State string
- The state of the license. All queued licenses have a status of recentlyQueued.
- Total
Duration intIn Days - The duration of the license plus all permanently queued licenses associated with it
- activation
Date String - The date the license started burning
- claim
Date String - The date the license was claimed into the organization
- device
Serial String - Serial number of the device the license is assigned to
- duration
In IntegerDays - The duration of the individual license
- expiration
Date String - The date the license will expire
- head
License StringId - The id of the head license this license is queued behind. If there is no head license, it returns nil.
- id String
- License ID
- license
Key String - License key
- license
Type String - License type
- network
Id String - ID of the network the license is assigned to
- order
Number String - Order number
- permanently
Queued List<GetLicenses Licenses Item Permanently Queued License> - DEPRECATED List of permanently queued licenses attached to the license. Instead, use /organizations/{organizationId}/licenses?deviceSerial= to retrieved queued licenses for a given device.
- seat
Count Integer - The number of seats of the license. Only applicable to SM licenses.
- state String
- The state of the license. All queued licenses have a status of recentlyQueued.
- total
Duration IntegerIn Days - The duration of the license plus all permanently queued licenses associated with it
- activation
Date string - The date the license started burning
- claim
Date string - The date the license was claimed into the organization
- device
Serial string - Serial number of the device the license is assigned to
- duration
In numberDays - The duration of the individual license
- expiration
Date string - The date the license will expire
- head
License stringId - The id of the head license this license is queued behind. If there is no head license, it returns nil.
- id string
- License ID
- license
Key string - License key
- license
Type string - License type
- network
Id string - ID of the network the license is assigned to
- order
Number string - Order number
- permanently
Queued GetLicenses Licenses Item Permanently Queued License[] - DEPRECATED List of permanently queued licenses attached to the license. Instead, use /organizations/{organizationId}/licenses?deviceSerial= to retrieved queued licenses for a given device.
- seat
Count number - The number of seats of the license. Only applicable to SM licenses.
- state string
- The state of the license. All queued licenses have a status of recentlyQueued.
- total
Duration numberIn Days - The duration of the license plus all permanently queued licenses associated with it
- activation_
date str - The date the license started burning
- claim_
date str - The date the license was claimed into the organization
- device_
serial str - Serial number of the device the license is assigned to
- duration_
in_ intdays - The duration of the individual license
- expiration_
date str - The date the license will expire
- head_
license_ strid - The id of the head license this license is queued behind. If there is no head license, it returns nil.
- id str
- License ID
- license_
key str - License key
- license_
type str - License type
- network_
id str - ID of the network the license is assigned to
- order_
number str - Order number
- permanently_
queued_ Sequence[Getlicenses Licenses Item Permanently Queued License] - DEPRECATED List of permanently queued licenses attached to the license. Instead, use /organizations/{organizationId}/licenses?deviceSerial= to retrieved queued licenses for a given device.
- seat_
count int - The number of seats of the license. Only applicable to SM licenses.
- state str
- The state of the license. All queued licenses have a status of recentlyQueued.
- total_
duration_ intin_ days - The duration of the license plus all permanently queued licenses associated with it
- activation
Date String - The date the license started burning
- claim
Date String - The date the license was claimed into the organization
- device
Serial String - Serial number of the device the license is assigned to
- duration
In NumberDays - The duration of the individual license
- expiration
Date String - The date the license will expire
- head
License StringId - The id of the head license this license is queued behind. If there is no head license, it returns nil.
- id String
- License ID
- license
Key String - License key
- license
Type String - License type
- network
Id String - ID of the network the license is assigned to
- order
Number String - Order number
- permanently
Queued List<Property Map>Licenses - DEPRECATED List of permanently queued licenses attached to the license. Instead, use /organizations/{organizationId}/licenses?deviceSerial= to retrieved queued licenses for a given device.
- seat
Count Number - The number of seats of the license. Only applicable to SM licenses.
- state String
- The state of the license. All queued licenses have a status of recentlyQueued.
- total
Duration NumberIn Days - The duration of the license plus all permanently queued licenses associated with it
GetLicensesItemPermanentlyQueuedLicense
- Duration
In intDays - The duration of the individual license
- Id string
- Permanently queued license ID
- License
Key string - License key
- License
Type string - License type
- Order
Number string - Order number
- Duration
In intDays - The duration of the individual license
- Id string
- Permanently queued license ID
- License
Key string - License key
- License
Type string - License type
- Order
Number string - Order number
- duration
In IntegerDays - The duration of the individual license
- id String
- Permanently queued license ID
- license
Key String - License key
- license
Type String - License type
- order
Number String - Order number
- duration
In numberDays - The duration of the individual license
- id string
- Permanently queued license ID
- license
Key string - License key
- license
Type string - License type
- order
Number string - Order number
- duration_
in_ intdays - The duration of the individual license
- id str
- Permanently queued license ID
- license_
key str - License key
- license_
type str - License type
- order_
number str - Order number
- duration
In NumberDays - The duration of the individual license
- id String
- Permanently queued license ID
- license
Key String - License key
- license
Type String - License type
- order
Number String - Order number
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
